RECURSIVE_TARGETS=$(PROJECT_RECURSIVE_TARGETS)

include $(ldas_top_srcdir)/build/make-macros/compilerflags.mk

TESTS = \
	concat \
        ldascontainer \
	ldaselement \
	ldashistory \
	reader.test \
        datalimits

noinst_DATA = \
	in.dat

EXTRA_DIST = \
	test.hh .ccmalloc

EXTRA_PROGRAMS = $(TESTS)

AM_CPPFLAGS = -I$(top_srcdir)/src -I$(ldas_top_builddir)/include $(OSPACE_CXXFLAGS)

TESTS_ENVIRONMENT=

concat_SOURCES = concat.cc
concat_LDADD = ../src/libilwd.la -lz $(ospace_la) @EXTRA_TEST_FLAGS@

ldaselement_SOURCES = ldaselement.cc
ldaselement_LDADD = ../src/libilwd.la -lz $(ospace_la) @EXTRA_TEST_FLAGS@

ldashistory_SOURCES = ldashistory.cc
ldashistory_LDADD = ../src/libilwd.la -lz $(ospace_la) @EXTRA_TEST_FLAGS@

reader_test_SOURCES = reader.test.cc
reader_test_LDADD = ../src/libilwd.la -lz $(ospace_la) @EXTRA_TEST_FLAGS@

ldascontainer_SOURCES = ldascontainer.cc
ldascontainer_LDADD = ../src/libilwd.la -lz $(ospace_la) @EXTRA_TEST_FLAGS@

datalimits_SOURCES = datalimits.cc
datalimits_LDADD = ../src/libilwd.la -lz $(ospace_la) @EXTRA_TEST_FLAGS@

check-local:in.dat

clean-local:
	rm -f $(TESTS)

in.dat:
	echo 'world!' > in.dat
#========================================================================
# Memory debugging support
#========================================================================

MEMORY_DEBUG_LD_LIBRARY_PATH=../src/.libs:../../general/src/.libs
include $(ldas_top_srcdir)/build/make-macros/memory-debug.mk
